Subject: AIW Fault Tolerance BOF meeting minutes

From: [email-masked]
Date: 1 Jul 94 17:56:00 +1700

AIW Fault Tolerant BOF Meeting Minutes - June 29, 1994
------------------------------------------------------

In an attempt to get things started on this mail exploder, I'm getting these
minutes out as I get back home.

We agreed at the first BOF meeting at the AIW in Anaheim that the focus
of this BOF was the APPN Reference model with respect to two areas:
(1) things in the areas of fault tolerance, resilience, parallelism
(2) common optimizations

The objectives of this BOF and its mail exploder are:
(1) to provide a forum for discussion within the focus areas above
(2) to provide a set of implementer notes on changes/optimizations
    to the reference model in these areas

At this meeting the three people who had volunteered to produce notes
describing how and why they'd split some of the architectural components
in ways different from the reference model all admitted that they were
not able to find sufficient time to do this "bottom of the stack of things
to do" item. We decided that we should take on a more modest task so that
we might actually get something done. The same three people volunteered to
get out "a page or so" on how, what's where and why (i.e. benefits) on the
same topic in order to get threads started. We can edit these threads
and add detail later to produce an implementer note in the topic area.

(1) ASM split - John Palombo (CL)
(2) CS split  - Don Banks (Tandem)
(3) SS split  - Roy Brabson (IBM)

There were several other areas of discussion during the BOF and there were
some new volunteers to start a thread in these areas (again of about a page
or so):

(1) SSCP Takeover/CP switch - Jim Cobben (NT)
(2) Sharing a single TG between multiple CPs - Mark Cossack (IBM)
(3) Buffer Manager implementation - Don Banks (Tandem)

(If I've misspelled anybody's name (I didn't have any previous AIW
attendance lists at home to check against), I apologize. Let me know
and I'll correct it.)

There were some other areas of discussion that were of some interest but
got no volunteer to take it the next step. Maybe someone out there might
decide as you get back that you can contribute in one of these areas:

(1) DLC split
(2) LU split
(3) Distributed implementations

One comment that was made is that all submissions should provide a brief
description of the implementation software/hardware environment where that
is relevant to the implementation being described; e.g. multi-processor
using shared memory, message based multi-processors not using shared
memory, fault tolerant, highly parallel, distributed architecture, etc.

All volunteers agreed to submit something within two or three weeks of
this meeting in order to get the threads started and in order to have some
items to look at as candidates for an implementer note at the next meeting.

Everyone else out there on this mail exploder is welcome to comment and
add to any of these threads or to start a new one. Please participate so
we can all get some benefit from each others APPN implementation experience.

Cheers,
Don Banks.                                  internet: [email-masked]
                                            voice:    (408) 285-0426